Name:           kscreenlocker
Version:        5.26.4
Release:        1
Summary:        Library and components for secure lock screen architecture

License:        GPLv2+
URL:            https://cgit.kde.org/%{name}.git

%global plasmaver %(echo %{version} | cut -d. -f1,2,3)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/plasma/%{plasmaver}/%{name}-%{version}.tar.xz

# help upgrades, split from plasma-workspace since 5.5
Conflicts:      plasma-workspace < 5.5

BuildRequires:  layer-shell-qt-devel

BuildRequires:  perl-generators
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtx11extras-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kdeclarative-devel
BuildRequires:  kf5-kidletime-devel
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kcrash-devel
BuildRequires:  kf5-kglobalaccel-devel

BuildRequires:  kf5-kwayland-devel

BuildRequires:  libX11-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(xi)

BuildRequires:  libXcursor-devel
BuildRequires:  pam-devel

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       kf5-kscreen-devel = %{version}-%{release}
Provides:       kf5-kscreen-devel%{?_isa} = %{version}-%{release}
Obsoletes:      kf5-kscreen-devel <= 1:5.2.0
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-qt --all-name


%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING
%{_kf5_libdir}/libKScreenLocker.so.*
%{_kf5_datadir}/knotifications5/*.notifyrc
%{_kf5_datadir}/kconf_update/*
%{_libexecdir}/kscreenlocker_greet
%dir %{_kf5_datadir}/ksmserver/
%{_kf5_datadir}/ksmserver/screenlocker/
%{_kf5_datadir}/applications/kcm_screenlocker.desktop
%{_kf5_qtplugindir}/plasma/kcms/systemsettings/kcm_screenlocker.so
%{_kf5_datadir}/kpackage/kcms/kcm_screenlocker/*

%files devel
%{_kf5_libdir}/libKScreenLocker.so
%{_kf5_libdir}/cmake/ScreenSaverDBusInterface/
%{_kf5_libdir}/cmake/KScreenLocker/
%{_includedir}/KScreenLocker/
%{_datadir}/dbus-1/interfaces/*.xml


%changelog
* Wed Dec 14 2022 lijian <lijian2@kylinos.cn> - 5.26.4-1
- Update to upstream version 5.26.4

* Tue Aug 16 2022 misaka00251 <misaka00251@misakanet.cn> - 5.25.5-1
- Update to upstream version 5.25.5

* Tue Jul 5 2022 huayadong<huayadong@kylinos.cn> - 5.25.2-1
- update to upstream version 5.25.2

* Mon Feb 14 2022 pei-jiankang<peijiankang@kylinos.cn> - 5.24.0-1
- update to upstream version 5.24.0

* Tue Jan 18 2022 pei-jiankang<peijiankang@kylinos.cn> - 5.18.5-1
- update to upstream version 5.18.5

* Fri Aug 7 2020 weidong <weidong@uniontech.com> - 5.15.4-1
- Initial release for OpenEuler

